1 2 Previous Next 15 Replies Latest reply on Jun 14, 2006 10:11 PM by Jesse Smith

    annoying thing about fibo tutorial

    fred garvin Newbie

      hello

      to get the fibo tutorial to work I removed the FiboEJB-client.jar from being packaged in the war. Why would this work? if the servlet container and jboss are seperated than it will of course not work. There was another post about this but it was never answered.

      on another note - if the fibo.war file ends up on seperate tomcat, where is the most preferred place to set the jndi properties? web.xml or another xml file?

      Thank you

        • 1. Re: annoying thing about fibo tutorial
          Curt Gilliland Newbie

          Hello,

          I am getting a build error when I run XDoclet for the project.

          Thanks for any help in advance. JBoss 4.0.2 and Eclispe 3.1.1

          Buildfile: C:\jboss\workspace\Tutorial2\xdoclet-build.xml
          N10004:

          BUILD FAILED
          java.lang.UnsupportedClassVersionError: xjavadoc/ant/XJavadocTask (Unsupported major.minor version 49.0)

          Total time: 1 second

          • 2. Re: annoying thing about fibo tutorial
            Ken Chung Newbie

            I got that error too. But I fix it after I change the default JDK from 1.4 to 5.0

            • 3. Re: annoying thing about fibo tutorial
              Leon ZHANG Newbie

              Hi, hkjava and all,
              When I tried the tutorial example, I met the same problem as manautsys'. According to the suggestion of hkjava, I installed jdk1.5.0_06, and modified the JRE and Compile setting under windows->perference->java. JBOSS-ECLIPSE IDE recognized all the setting correctly. However, strange things happened, when I tried add bussiness method, I could not find 'J2EE' item in the pop-up menu. Can you or anybody can give me some advice? Thanks in advance.

              • 4. Re: annoying thing about fibo tutorial
                rory cawley Newbie

                I'm also getting the error:

                uildfile: C:\dev\workspace\RorysJSFTester\xdoclet-build.xml
                N10004:

                BUILD FAILED
                java.lang.UnsupportedClassVersionError: xjavadoc/ant/XJavadocTask (Unsupported major.minor version 49.0)


                However, I'd prefer to stay on JDK 1.4 for the moment.

                I was enjoying the tutorial up till that point and I really like the jboss eclipse IDE plug-in.

                Hopefully someone as another workaround and will then update the tutorial since I think a lot of people are getting the same problem.

                • 5. Re: annoying thing about fibo tutorial
                  Leon ZHANG Newbie

                  Hi, all,
                  I passed the 'Run Doclet' operation by using JDK1.5 instead of J2sdk1.4. Thank you, hkjava.
                  The problem I asked yesterday is my fault. I should locate the curson on the Bean instead of on the java item.

                  • 6. Re: annoying thing about fibo tutorial
                    Lorrettus Mathews Newbie

                     

                    "rory.cawley" wrote:
                    I'm also getting the error:

                    ...
                    However, I'd prefer to stay on JDK 1.4 for the moment.
                    ...



                    Rory, did you ever find a solution to this issue on JDK 1.4?

                    • 7. Re: annoying thing about fibo tutorial
                      Sachin Shrotriya Newbie

                      I am getting the same error. Has anyone found a workaround with JDK 1.4.2?
                      Thanks

                      • 8. Re: annoying thing about fibo tutorial
                        HECTOR JUAREZ Newbie

                        Hello!

                        I Have the same error with 1.4.2_04.
                        Anybody knows wath is N10004?
                        and what about the 49.0 version?
                        version of what?

                        thanks...

                        • 9. Re: annoying thing about fibo tutorial
                          David Marzo Perez Newbie

                          I resolve the problem, whit agresive method,

                          1) download Xdoclet version 1.3.2 from xdoclet.sf.net
                          2) backup all .jar from eclipse\plugins\org.jboss.ide.eclipse.xdoclet.core_1.5.0
                          3) Delete all .jar from eclipse\plugins\org.jboss.ide.eclipse.xdoclet.core_1.5.0
                          4) copy all jar for Xdoclet version 1.3.2

                          And now i could run Xdoclet with java v1.4.2-b28

                          David Marzo
                          www.solnatec.com

                          • 10. Re: annoying thing about fibo tutorial
                            Gary Clawson Newbie

                            I'm also having the same problem. I don't see a version 1.3.2. I see the current version of XDoclet is 1.2.3 and XJavaDoc is 1.5-snapshot050611. Seems like the XJavaDoc was built with Java 1.5. How do I get a Java 1.4 version of XDoclet and XJavaDoc?

                            • 11. Re: annoying thing about fibo tutorial
                              Kevin Green Newbie

                              I had the same problem. In order to get buy it:

                              1. I went to source forge and downloaded xdoclet-lib-1.2.3.zip.

                              2. I extracted the zip and then copied just xjavadoc-1.1.jar into eclipse_3_1_2\plugins\org.jboss.ide.eclipse.xdoclet.core_1.5.0

                              This did solve my problem and I haven't ran into any adverse effects as of yet. Hopefully I won't :)

                              "garyclawson" wrote:
                              I'm also having the same problem. I don't see a version 1.3.2. I see the current version of XDoclet is 1.2.3 and XJavaDoc is 1.5-snapshot050611. Seems like the XJavaDoc was built with Java 1.5. How do I get a Java 1.4 version of XDoclet and XJavaDoc?


                              • 12. Re: annoying thing about fibo tutorial
                                Hitarth Jani Newbie

                                Hey D.Marzo,

                                I tried with your method.. everything is working now fine...

                                Thanks for that!!!!

                                A slight Correction:

                                Download xDoclet ver. 1.2.3 (Not 1.3.2)
                                Copy all .jar files from a folder called lib
                                Paste it into Eclipse files - plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.0
                                refresh the tutorial... Run Xdoclet

                                And you will sail ...

                                Regards,
                                Hitarth

                                • 13. Re: annoying thing about fibo tutorial
                                  Sheikh Golam Muhammod Newbie

                                  when i refresh sdoclet version..i get following messages at the command prompt...what is happening here:: my system is: linux, eclipse 3.1.2, jdk-1.5.06.. which xdoclet should i use now..i am stuck...please help...

                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-ejb-module-1.2.3.jar!/META-INF/xtags.xml
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-java-module-1.2.3.jar!/META-INF/xtags.xml
                                  java.lang.NoSuchMethodException: org.jboss.ide.eclipse.xdoclet.assist.model.conditions.TagParameterEquals.(java.lang.String)
                                  at java.lang.Class.getConstructor0(Class.java:2647)
                                  at java.lang.Class.getConstructor(Class.java:1629)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.conditions.ConditionCache.getCondition(ConditionCache.java:95)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.conditions.ConditionCache.getCachedCondition(ConditionCache.java:71)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.DocletTreeXMLManager.iterateCondition(DocletTreeXMLManager.java:386)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.DocletTreeXMLManager.iterateCondition(DocletTreeXMLManager.java:423)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.DocletTreeXMLManager.iterateCondition(DocletTreeXMLManager.java:423)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.DocletTreeXMLManager.processModule(DocletTreeXMLManager.java:321)
                                  at org.jboss.ide.eclipse.xdoclet.assist.model.DocletTreeXMLManager.initDocletTree(DocletTreeXMLManager.java:96)
                                  at org.jboss.ide.eclipse.xdoclet.assist.XDocletAssistPlugin$1.run(XDocletAssistPlugin.java:218)
                                  at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:113)
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-module-jboss-net-4.0.0.jar!/META-INF/xtags.xml
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-web-module-1.2.3.jar!/META-INF/xtags.xml
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-hibernate-module-1.2.3.jar!/META-INF/xtags.xml
                                  element /hibernate/many-to-one:method unique exists already:
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-jboss-module-1.2.3.jar!/META-INF/xtags.xml
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-jmx-module-1.2.3.jar!/META-INF/xtags.xml
                                  Process: jar:file:/opt/eclipse/plugins/org.jboss.ide.eclipse.xdoclet.core_1.5.1.GA/xdoclet-xdoclet-module-1.2.3.jar!/META-INF/xtags.xml

                                  • 14. Re: annoying thing about fibo tutorial
                                    Rammohan Reddy Newbie

                                    I am using Jdk 1.5 even though same error

                                    (java.lang.UnsupportedClassVersionError: xjavadoc/ant/XJavadocTask (Unsupported major.minor version 49.0))

                                    I am getting what can i do? any body have solution in this.

                                    1 2 Previous Next